View Issue Details

IDProjectCategoryView StatusLast Update
0004341SymmetricDSBugpublic2020-04-21 15:02
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.7 
Target Version3.11.8Fixed in Version3.11.8 
Summary0004341: MySQL: Drop of transaction function when database upgrade occurs is happening after the create of the database objects
DescriptionWhen the issue (4318, https://www.symmetricds.org/issues/view.php?id=4318) changed the order of execution from schema changes then database objects to database objects then schema changes, it broke MySQL.

In DatabaseUpgradeListener, there is functionality to remove the MySQL transaction function when database upgrade is executing, expecting that the creation of the database objects is run after the schema changes.

The reason that this was done was because there was a point in time (issue 3045, https://www.symmetricds.org/issues/view.php?id=3045) that changed the deployed MySQL function, and so in order to get the updated function definition, the DatabaseUpgradeListener was coded to remove that function.

This doesn't work anymore.

Let's try instead to execute the following functionality during the database object creation: check to see if the expected function body is different than the installed function body. If it is different, then drop the function, and install the new function.
Tagsddl/schema, dialect: mysql/mariadb

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 5c1da1e6

2020-04-10 13:53:56

Philip Marzullo

Details Diff
0004341: MySQL: Drop of transaction function when database upgrade
occurs is happening after the create of the database objects

0004341
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File

Issue History

Date Modified Username Field Change
2020-04-09 15:38 pmarzullo New Issue
2020-04-09 15:38 pmarzullo Status new => assigned
2020-04-09 15:38 pmarzullo Assigned To => pmarzullo
2020-04-09 15:38 pmarzullo Tag Attached: ddl/schema
2020-04-09 15:38 pmarzullo Tag Attached: dialect: mysql/mariadb
2020-04-10 13:54 pmarzullo Status assigned => resolved
2020-04-10 13:54 pmarzullo Resolution open => fixed
2020-04-10 13:54 pmarzullo Fixed in Version => 3.11.8
2020-04-10 14:00 Changeset attached => SymmetricDS 3.11 5c1da1e6
2020-04-21 15:02 admin Status resolved => closed